Page MenuHomePhabricator

Don't re-mention users for comment edits
ClosedPublic

Authored by epriestley on Jun 13 2016, 6:27 PM.
Tags
None
Referenced Files
Unknown Object (File)
Wed, Jun 29, 11:48 PM
Unknown Object (File)
Sat, Jun 25, 12:23 PM
Unknown Object (File)
Wed, Jun 15, 4:46 AM
Unknown Object (File)
Sat, Jun 11, 10:26 AM
Unknown Object (File)
Thu, Jun 9, 2:44 AM
Unknown Object (File)
Tue, Jun 7, 5:35 PM
Unknown Object (File)
May 31 2022, 10:03 PM
Unknown Object (File)
May 24 2022, 9:25 PM
Subscribers
None

Details

Summary

Ref T11035. This only fixes half of the issue: comment editing has been fixed, but normal transactions which edit things like descriptions haven't yet.

The normal edits aren't fixed because the "oldValues" are populated too late. The code should start working once they get populated sooner, but I don't want to jump the gun on that since it'll probably have some spooky effects. I have some other transaction changes coming down the pipe which should provide a better context for testing "oldValue" population order.

Test Plan
  • Mentioned @dog in a comment.
  • Removed @dog as a subscriber.
  • Edited the comment, adding some unrelated text at the end (e.g., fixing a typo).
    • Before change: @dog re-added as subscriber.
    • After change: no re-add.

Diff Detail

Repository
rP Phabricator
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

epriestley retitled this revision from to Don't re-mention users for comment edits.
epriestley updated this object.
epriestley edited the test plan for this revision. (Show Details)
epriestley added a reviewer: chad.
chad edited edge metadata.
This revision is now accepted and ready to land.Jun 13 2016, 6:31 PM
This revision was automatically updated to reflect the committed changes.